Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html
Class DataWebBeanImpl

`java.lang.Object
oracle.jdeveloper.html.WebBeanImpl
oracle.jdeveloper.html.DataWebBeanImpl
oracle.jbo.html.DataWebBeanImpl`

All Implemented Interfaces:
  DataWebBean, DataWebBean, WebBean, WebBean

Direct Known Subclasses:
  ChartRenderer, EditCurrentRecord, FindForm, JSLOV, RowSetBrowser, RowsetNavigator, ViewCurrentRecord, XmlData

public class DataWebBeanImpl
extends DataWebBeanImpl
implements DataWebBean, WebBean

Implements the base methods for a Data Web Bean. Extend this class when you define a Web Bean that must access a data source and that does not need to extend another class.

Field Summary

Fields inherited from class oracle.jdeveloper.html.DataWebBeanImpl
`amName, bReleaseApplication, dispAttrs, ds`

Fields inherited from class oracle.jdeveloper.html.WebBeanImpl
`application, bUsedInTag, out, page, request, response, session`

Fields inherited from interface oracle.jdeveloper.html.WebBean
`contentFrameName, defaultCaboBase, defaultCaboImageBase, defaultImageBase, defaultJSPBase, defaultNLSFormat, JS_LIBRARIES, JS_NAMEID, JSButtonConstructorLib, JSCalendarConstructorLib, JSContainerConstructorLib, JSDataConstructLib, JSModalPageConstructorLib, JSTableConstructLib, JSToolbarConstructorLib, JSTreeConstructLib, JSUtilitiesLib`

Constructor Summary
`DataWebBeanImpl()`

Method Summary
`void` | `initialize(javax.servlet.jsp.PageContext page, DataSource dsFromTag)`
`void` | `setUsedInTag(boolean isUsedInTag)`

Methods inherited from class oracle.jdeveloper.html.DataWebBeanImpl
`clearDisplayAttributes, getApplicationFromContext, getApplicationName, getAttributeLabel, getDisplayAttributeDefs, getDisplayAttributes, getDisplayFieldRenderer, getEditFieldRenderer, getRowKey, getRowSet, getViewObjectName, handleCommit, initialize, initialize, initialize, internalInitialize, isAppStateful, releaseApplicationResources, releaseApplicationResources, setDisplayAttributes, setDisplayFieldRenderer, setDisplayFieldRenderer, setEditFieldRenderer, setEditFieldRenderer, setReleaseApplicationResources, setRowSet, shouldDisplayAttribute`

Methods inherited from class oracle.jdeveloper.html.WebBeanImpl
`generateScriptSrc, getCookie, getOut, getRequest, getRequestVariable, getRequestVariable, getUniqueName, initBeanForJS, initBeanForJS, initBeanForJS, initialize, initialize, initialize, render, render, setRequestVariable, setRequestVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jdeveloper.html.DataWebBean
`clearDisplayAttributes, getApplicationName, getDisplayAttributeDefs, getDisplayAttributes, getDisplayFieldRenderer, getEditFieldRenderer, getRowSet, getViewObjectName, handleCommit, initialize, initialize, isAppStateful, setDisplayAttributes, setDisplayFieldRenderer, setDisplayFieldRenderer, setEditFieldRenderer, setEditFieldRenderer, setReleaseApplicationResources, setRowSet, shouldDisplayAttribute`

Methods inherited from interface oracle.jdeveloper.html.WebBean
`initialize, initialize, internalInitialize, render, render`

Constructor Detail

### DataWebBeanImpl

    public DataWebBeanImpl()

Method Detail

### initialize

    public void initialize(javax.servlet.jsp.PageContext page,
                           DataSource dsFromTag)
                    throws java.lang.Exception

  Specified by:
    `initialize` in interface `DataWebBean`
  Throws:
    `java.lang.Exception`

### setUsedInTag

    public void setUsedInTag(boolean isUsedInTag)

  Specified by:
    `setUsedInTag` in interface `WebBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.